package vplotter.model;

public class Point implements Cloneable{
	public double x;
	public double y;
	
	public Point() {
		super();
	}
	public Point(double x, double y) {
		super();
		this.x = x;
		this.y = y;
	}
	@Override
	public Point clone(){
		try {
			return (Point) super.clone();
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
		}
		return null;
	}
	
	@Override
	public String toString() {
		return "("+x+","+y+")";
	}
	/**
	 * @param p
	 */
	public void copy(Point p){
		this.x = p.x;
		this.y = p.y;
	}
}
