package vplotter;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.util.List;

import javax.swing.JPanel;

import vplotter.model.Line;

public class DrawPanelLines extends JPanel{

	private final List<Line> lines;

	public DrawPanelLines(List<Line> lines){
		this.lines = lines;
		this.setPreferredSize(new Dimension(800,600));
	}
	@Override
	public void update(Graphics g) {
		super.update(g);
		this.paint(g);
	}
	
	@Override
	public void paint(Graphics g) {
		g.setColor(Color.black);
		for (Line line : this.lines) {
			float scale = 1;
			System.out.println("Draw line:" + line);
			g.drawLine((int)(line.p1.x*scale),(int)(line.p1.y*scale), (int)(line.p2.x*scale),(int) (line.p2.y*scale));
		}
	}
	
	
}
