package vplotter;

import org.apache.batik.parser.DefaultTransformListHandler;
import org.apache.batik.parser.ParseException;

public class MyTransformListHandler extends DefaultTransformListHandler {

	private Float scaleX;
	private Float scaleY;

	private Float translateX;
	private Float translateY;

	@Override
	public void scale(float sx, float sy) throws ParseException {
		System.out.println("scale("+sx+","+sy+")");
		this.scaleX = sx;
		this.scaleY = sy;
	}

	@Override
	public void translate(float tx, float ty) throws ParseException {
		System.out.println("translate("+tx+","+ty+")");
		this.translateX = tx;
		this.translateY = ty;
	}

	public Float getScaleX() {
		return scaleX;
	}

	public Float getScaleY() {
		return scaleY;
	}

	public Float getTranslateX() {
		return translateX;
	}

	public Float getTranslateY() {
		return translateY;
	}

}
