package model;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JPanel;

import vplotter.model.Area;

public class DrawPanelSimulator extends JPanel {

	private final PlotterModel model;

	public DrawPanelSimulator(PlotterModel model) {
		this.model = model;
		Area a = model.getArea();
		this.setPreferredSize(new Dimension(a.largura,a.altura));
	}

	@Override
	public void update(Graphics g) {
		super.update(g);
		this.paint(g);
	}

	@Override
	public void paint(Graphics g) {
		model.draw((Graphics2D) g);
		
	}

}
